#ifndef AUDIO_H
#define AUDIO_H

#include "main.h"  //so we can use SDL_mixer

enum Sound
{
	EAT,
	EXPLODE,
	DIE,
	DROP_BOMB,
	PUNCH,
	PICK_UP,
	BUTTON_HOVER,
	BUTTON_PUSH,
	PAGE,
	STRETCH,
	YOUWIN,
	WARP,

	MUS_INTRO,
	MUS_LEVEL1,
	MUS_LEVEL2,
	MUS_LEVEL3,
	MUS_LEVEL4,
	MUS_LEVEL5,
	MUS_GAMEOVER
};


class Audio
{

	public:

	Audio(){};
	~Audio(){};

	void Init();

	void Play(Sound SOUND);

	void Stop_Music();

    void Close();

	void Pause(){Mix_PauseMusic();}

	void Resume(){Mix_ResumeMusic();}

   //private:
		
	Mix_Chunk *eat;				//the ball hitting glove sound
	Mix_Chunk *explode;				//hitting the wall sound
	Mix_Chunk *die;					//for the donkey squeal
	Mix_Chunk *punch;				//hitting the wall sound
	Mix_Chunk *drop_bomb;		    //drop a bomb
	Mix_Chunk *pick_up;				//picking up a bomb

	Mix_Chunk *button_hover;
	Mix_Chunk *button_push;
	Mix_Chunk *page;
	Mix_Chunk *stretch;
	Mix_Chunk *youwin;
	Mix_Chunk *warp;

	Mix_Music *intro_music;					//intro music
	Mix_Music *level1;
	Mix_Music *level2;
	Mix_Music *level3;
	Mix_Music *level4;
	Mix_Music *level5;
	Mix_Music *gameover;
	


};

#endif 


